from integrations.PasswordModule import *
from django.conf import settings

def manage_password(data, action, force=False):
    if force or not hasattr(settings, 'ENCRYPTION') or settings.ENCRYPTION:
        # Support in pycharm is not there for importing .so
        # might fail if testing in pycharm
        if action == 'decrypt':
            if data.endswith('I3dmcn23@KlS2#!ck'):
                output = decrypt(data).strip()
                if not output.startswith('Password:'):
                    raise Exception('DB Password decrypt failed with Error: %s for Password : %s' % output)
                else:
                    return output[len('Password:'):]

            else:
                return data

        elif action == 'encrypt':
            if data and not data.endswith('I3dmcn23@KlS2#!ck'):
                output = encrypt(data).strip()
                return output
            else:
                return data
    return data